ParameterException (Avalon Framework API)
Keywords: org.apache.avalon.framework.parameters.ParameterException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.avalon.framework.parameters
Class ParameterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.avalon.framework.CascadingException
                  org.apache.avalon.framework.parameters.ParameterException

All Implemented Interfaces:
  CascadingThrowable, java.io.Serializable

public final class ParameterException
extends CascadingException

Thrown when a `Parameterizable` component cannot be parameterized properly, or if a value cannot be retrieved properly.

Version:
  CVS $Revision: 1.15 $ $Date: 2004/02/11 14:34:25 $
Author:
  Avalon Development Team
See Also:
  Serialized Form

Constructor Summary
`ParameterException(java.lang.String message)` Construct a new `ParameterException` instance.
`ParameterException(java.lang.String message, java.lang.Throwable throwable)` Construct a new `ParameterException` instance.

Methods inherited from class org.apache.avalon.framework.CascadingException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParameterException

    public ParameterException(java.lang.String message)

  Construct a new `ParameterException` instance.

Parameters:
  `message` - The detail message for this exception.

### ParameterException

    public ParameterException(java.lang.String message,
                              java.lang.Throwable throwable)

  Construct a new `ParameterException` instance.

Parameters:
  `message` - The detail message for this exception.
  `throwable` - the root cause of the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © The Apache Software Foundation. All Rights Reserved.